Arch: Travatura

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Truss and the translation is 59% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎русский
Arrow-left.svg Pagina precedente: Arch Frame.svg Carpenteria
Pagina successiva: Arredamento Arch Equipment.svg Arrow-right.svg

Arch Truss.svg Arch Truss

Posizione nel menu
Arch → Travatura
Ambiente
Arch
Avvio veloce
Nessuno
Introdotto nella versione
0.19
Vedere anche
Nessuno

Descrizione

Lo strumento Travatura crea un oggetto travatura, sia da un oggetto lineare selezionato (posta su una Linea di Draft o uno [[Sketcher_NewSketch/it|Schizzo] ]), o da zero se non viene selezionato alcun oggetto all'avvio del comando.

Arch Truss example.png

Utilizzo

Creare da un oggetto selezionato

  1. Utilizzare un ambiente di lavoro a scelta per creare un'unica linea
  2. Selezionare quella linea
  3. Premere il pulsante Arch Truss.svg Travatura
  4. Regolare le proprietà della capriata a proprio piacimento


Creare dall'inizio

  1. Assicurarsi che non sia selezionato nulla
  2. Premere il pulsante Arch Truss.svg Travatura
  3. Fare clic nella vista 3D per definire un primo punto o immettere manualmente le coordinate X, Y e Z.
  4. Fare clic nella vista 3D per definire il secondo punto o immettere manualmente le coordinate X, Y e Z.
  5. Regolare le proprietà della capriata a proprio piacimento

Proprietà

Dati

  • DatiTrussAngle: L'angolo della capriata
  • DatiSlantType: Il tipo inclinato di questa capriata
  • DatiNormal: La direzione normale di questa capriata
  • DatiHeightStart: L'altezza della capriata nel punto iniziale
  • DatiHeightEnd: L'altezza della capriata nel punto finale
  • DatiStrutStartOffset: Un offset iniziale opzionale per il montante superiore
  • DatiStrutEndOffset: Un offset finale opzionale per il montante superiore
  • DatiStrutHeight: L'altezza degli elementi superiori e inferiori principali della capriata
  • DatiStrutWidth: La larghezza degli elementi superiore e inferiore principali della capriata
  • DatiRodType: Il tipo di elemento centrale della capriata
  • DatiRodDirection: La direzione delle aste
  • DatiRodSize: Il diametro o il lato delle aste
  • DatiRodSections: Il numero di sezioni dell'asta
  • DatiRodEnd: Se la capriata ha un'asta al suo punto finale o no
  • DatiRodMode: Come disegnare le aste

Script

Lo strumento Travatura può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

Truss = makeFence([baseobj])

Esempio:

import FreeCAD
import Draft
import Arch

p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(2000,0,0)
baseline = Draft.makeLine(p1,p2)
truss = Arch.makeTruss(baseline)
truss.HeightStart = 200
truss.HeightEnd = 400
# adjust other needed properties


Arrow-left.svg Pagina precedente: Arch Frame.svg Carpenteria
Pagina successiva: Arredamento Arch Equipment.svg Arrow-right.svg